package com.songhua.system.domain;

import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 原始数据导入对象 pz_raw_data
 * 
 * @author ruoyi
 * @date 2024-11-04
 */
@Data
public class PzRawDataVo extends BaseEntity
{

    private Long id;
    /** 票种名 */
    @Excel(name = "票种名")
    private String ticketName;

    /** 张数 */
    @Excel(name = "张数")
    private Long number;

    /** 金额 */
    @Excel(name = "金额")
    private String money;

    /** 支付类型 */
    @Excel(name = "支付类型", readConverterExp = "1=微信,2=支付宝,3=现金,4=云闪付,5=支付宝小程序余额支付,6=微信小程序余额支付,7=ota余额支付,8=灵活代收,9=旅行社余额支付")
    private String payType;


    private Long ticketId;

    private List<PzRawDataVo> paymentTypeDataList;

}
