package com.songhua.system.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;

/**
 * 票种管理对象 pz_ticket_type_management
 * 
 * @author ruoyi
 * @date 2024-11-04
 */
@Data
public class PzTicketTypeManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 票种ID */
    private Long id;

    /** 票种名 */
    @Excel(name = "票种名")
    private String ticketName;

    /** 票种类型 */
    @Excel(name = "票种类型")
    private String ticketType;

    /** 结算价格 */
    @Excel(name = "结算价格")
    private BigDecimal settlementPrice;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTicketName(String ticketName) 
    {
        this.ticketName = ticketName;
    }

    public String getTicketName() 
    {
        return ticketName;
    }
    public void setTicketType(String ticketType) 
    {
        this.ticketType = ticketType;
    }

    public String getTicketType() 
    {
        return ticketType;
    }
    public void setSettlementPrice(BigDecimal settlementPrice) 
    {
        this.settlementPrice = settlementPrice;
    }

    public BigDecimal getSettlementPrice() 
    {
        return settlementPrice;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ticketName", getTicketName())
            .append("ticketType", getTicketType())
            .append("settlementPrice", getSettlementPrice())
            .append("remarks", getRemarks())
            .toString();
    }
}
