package com.songhua.system.mapper;

import java.util.List;

import com.songhua.common.core.domain.entity.SysUser;
import com.songhua.system.domain.PzRawData;
import com.songhua.system.domain.PzRawDataVo;

/**
 * 原始数据导入Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-04
 */
public interface PzRawDataMapper 
{
    /**
     * 查询原始数据导入
     * 
     * @param id 原始数据导入主键
     * @return 原始数据导入
     */
    public PzRawData selectPzRawDataById(Long id);

    /**
     * 查询原始数据导入列表
     * 
     * @param pzRawData 原始数据导入
     * @return 原始数据导入集合
     */
    public List<PzRawDataVo> selectPzRawDataList(PzRawData pzRawData);

    /**
     * 新增原始数据导入
     * 
     * @param pzRawData 原始数据导入
     * @return 结果
     */
    public int insertPzRawData(PzRawData pzRawData);
    public int insertPzRawDataVo(PzRawDataVo pzRawDataVo);

    /**
     * 修改原始数据导入
     * 
     * @param pzRawData 原始数据导入
     * @return 结果
     */
    public int updatePzRawData(PzRawData pzRawData);
    public int updatePzRawDataVo(PzRawDataVo pzRawDataVo);

    /**
     * 删除原始数据导入
     * 
     * @param id 原始数据导入主键
     * @return 结果
     */
    public int deletePzRawDataById(Long id);

    /**
     * 批量删除原始数据导入
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePzRawDataByIds(Long[] ids);

    public PzRawDataVo checkIfDataExists(String ticketName);

}
