package com.songhua.system.mapper;

import java.util.List;

import com.songhua.common.core.domain.entity.SysUser;
import com.songhua.system.domain.PzTicketTypeManagement;

import java.util.List;

/**
 * 票种管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-04
 */
public interface PzTicketTypeManagementMapper {
    /**
     * 查询票种管理
     *
     * @param id 票种管理主键
     * @return 票种管理
     */
    public PzTicketTypeManagement selectPzTicketTypeManagementById(Long id);

    /**
     * 查询票种管理列表
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 票种管理集合
     */
    public List<PzTicketTypeManagement> selectPzTicketTypeManagementList(PzTicketTypeManagement pzTicketTypeManagement);

    /**
     * 新增票种管理
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 结果
     */
    public int insertPzTicketTypeManagement(PzTicketTypeManagement pzTicketTypeManagement);

    /**
     * 修改票种管理
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 结果
     */
    public int updatePzTicketTypeManagement(PzTicketTypeManagement pzTicketTypeManagement);

    /**
     * 删除票种管理
     *
     * @param id 票种管理主键
     * @return 结果
     */
    public int deletePzTicketTypeManagementById(Long id);

    /**
     * 批量删除票种管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePzTicketTypeManagementByIds(Long[] ids);

}
