package com.songhua.system.mapper;

import com.songhua.system.domain.ShhTicketRules;
import com.songhua.system.domain.ShhTicketRulesData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 票种规则子Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-04
 */
public interface ShhTicketRulesDataMapper {
    /**
     * 查询票种规则子
     *
     * @param id 票种规则子主键
     * @return 票种规则子
     */
    public ShhTicketRulesData selectShhTicketRulesDataById(Long id);

    /**
     * 查询票种规则子列表
     *
     * @param shhTicketRulesData 票种规则子
     * @return 票种规则子集合
     */
    public List<ShhTicketRulesData> selectShhTicketRulesDataList(ShhTicketRulesData shhTicketRulesData);

    /**
     * 新增票种规则子
     *
     * @param shhTicketRulesData 票种规则子
     * @return 结果
     */
    public int insertShhTicketRulesData(ShhTicketRulesData shhTicketRulesData);

    /**
     * 修改票种规则子
     *
     * @param shhTicketRulesData 票种规则子
     * @return 结果
     */
    public int updateShhTicketRulesData(ShhTicketRulesData shhTicketRulesData);

    /**
     * 删除票种规则子
     *
     * @param id 票种规则子主键
     * @return 结果
     */
    public int deleteShhTicketRulesDataById(Long id);

    /**
     * 批量删除票种规则子
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShhTicketRulesDataByIds(Long[] ids);

    void insertTicketRulesDataBatch(List<ShhTicketRulesData> list);


    public int deleteShhTicketRulesDataByRulesId(@Param("rulesId") Long rulesId);

}
