package com.songhua.system.mapper;

import com.songhua.system.domain.ShhTicketRules;

import java.util.List;

/**
 * 票种规则Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-04
 */
public interface ShhTicketRulesMapper {
    /**
     * 查询票种规则
     *
     * @param id 票种规则主键
     * @return 票种规则
     */
    public ShhTicketRules selectShhTicketRulesById(Long id);

    /**
     * 查询票种规则列表
     *
     * @param shhTicketRules 票种规则
     * @return 票种规则集合
     */
    public List<ShhTicketRules> selectShhTicketRulesList(ShhTicketRules shhTicketRules);

    /**
     * 新增票种规则
     *
     * @param shhTicketRules 票种规则
     * @return 结果
     */
    public int insertShhTicketRules(ShhTicketRules shhTicketRules);

    /**
     * 修改票种规则
     *
     * @param shhTicketRules 票种规则
     * @return 结果
     */
    public int updateShhTicketRules(ShhTicketRules shhTicketRules);

    /**
     * 删除票种规则
     *
     * @param id 票种规则主键
     * @return 结果
     */
    public int deleteShhTicketRulesById(Long id);

    /**
     * 批量删除票种规则
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShhTicketRulesByIds(Long[] ids);
}
