package com.songhua.system.service;

import java.util.List;

import com.songhua.system.domain.PzRawData;
import com.songhua.system.domain.PzRawDataVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 原始数据导入Service接口
 * 
 * @author ruoyi
 * @date 2024-11-04
 */
public interface IPzRawDataService 
{
    /**
     * 查询原始数据导入
     * 
     * @param id 原始数据导入主键
     * @return 原始数据导入
     */
    public PzRawData selectPzRawDataById(Long id);

    /**
     * 查询原始数据导入列表
     * 
     * @param pzRawData 原始数据导入
     * @return 原始数据导入集合
     */
    public List<PzRawDataVo> selectPzRawDataList(PzRawData pzRawData);


    /**
     * 新增原始数据导入
     * 
     * @param pzRawData 原始数据导入
     * @return 结果
     */
    public int insertPzRawData(PzRawData pzRawData);

    int insertPzRawDataVo(PzRawDataVo pzRawDataVo);

    /**
     * 修改原始数据导入
     * 
     * @param pzRawData 原始数据导入
     * @return 结果
     */
    public int updatePzRawData(PzRawData pzRawData);

    int updatePzRawDataVo(PzRawDataVo pzRawDataVo);

    /**
     * 批量删除原始数据导入
     * 
     * @param ids 需要删除的原始数据导入主键集合
     * @return 结果
     */
    public int deletePzRawDataByIds(Long[] ids);

    /**
     * 删除原始数据导入信息
     * 
     * @param id 原始数据导入主键
     * @return 结果
     */
    public int deletePzRawDataById(Long id);

    PzRawDataVo checkIfDataExists(String ticketName);

    /**
     * 导入用户数据
     *
     * @param userList 用户数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    public String importData(List<PzRawDataVo> userList, Boolean isUpdateSupport, String operName);

}
