package com.songhua.system.service.impl;

import java.util.List;

import com.songhua.common.core.domain.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.songhua.system.mapper.PzTicketTypeManagementMapper;
import com.songhua.system.domain.PzTicketTypeManagement;
import com.songhua.system.mapper.PzTicketTypeManagementMapper;
import com.songhua.system.service.IPzTicketTypeManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 票种管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-04
 */
@Service
public class PzTicketTypeManagementServiceImpl implements IPzTicketTypeManagementService {
    @Autowired
    private PzTicketTypeManagementMapper pzTicketTypeManagementMapper;

    /**
     * 查询票种管理
     *
     * @param id 票种管理主键
     * @return 票种管理
     */
    @Override
    public PzTicketTypeManagement selectPzTicketTypeManagementById(Long id) {
        return pzTicketTypeManagementMapper.selectPzTicketTypeManagementById(id);
    }

    /**
     * 查询票种管理列表
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 票种管理
     */
    @Override
    public List<PzTicketTypeManagement> selectPzTicketTypeManagementList(PzTicketTypeManagement pzTicketTypeManagement) {
        return pzTicketTypeManagementMapper.selectPzTicketTypeManagementList(pzTicketTypeManagement);
    }

    /**
     * 新增票种管理
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 结果
     */
    @Override
    public int insertPzTicketTypeManagement(PzTicketTypeManagement pzTicketTypeManagement) {
        return pzTicketTypeManagementMapper.insertPzTicketTypeManagement(pzTicketTypeManagement);
    }

    /**
     * 修改票种管理
     *
     * @param pzTicketTypeManagement 票种管理
     * @return 结果
     */
    @Override
    public int updatePzTicketTypeManagement(PzTicketTypeManagement pzTicketTypeManagement) {
        return pzTicketTypeManagementMapper.updatePzTicketTypeManagement(pzTicketTypeManagement);
    }

    /**
     * 批量删除票种管理
     *
     * @param ids 需要删除的票种管理主键
     * @return 结果
     */
    @Override
    public int deletePzTicketTypeManagementByIds(Long[] ids) {
        return pzTicketTypeManagementMapper.deletePzTicketTypeManagementByIds(ids);
    }

    /**
     * 删除票种管理信息
     *
     * @param id 票种管理主键
     * @return 结果
     */
    @Override
    public int deletePzTicketTypeManagementById(Long id) {
        return pzTicketTypeManagementMapper.deletePzTicketTypeManagementById(id);
    }

    @Override
    public int updateStatus(PzTicketTypeManagement pzTicketTypeManagement) {
        return pzTicketTypeManagementMapper.updatePzTicketTypeManagement(pzTicketTypeManagement);
    }
}
