import request from '@/utils/request'

// 查询原始数据导入列表
export function listData(query) {
  return request({
    url: '/system/data/list',
    method: 'get',
    params: query
  })
}

// 查询原始数据导入详细
export function getData(id) {
  return request({
    url: '/system/data/' + id,
    method: 'get'
  })
}

// 新增原始数据导入
export function addData(data) {
  return request({
    url: '/system/data',
    method: 'post',
    data: data
  })
}

// 修改原始数据导入
export function updateData(data) {
  return request({
    url: '/system/data',
    method: 'put',
    data: data
  })
}

// 删除原始数据导入
export function delData(id) {
  return request({
    url: '/system/data/' + id,
    method: 'delete'
  })
}

