import request from '@/utils/request'

// 查询票种管理分页列表
export function listManagement(query) {
  return request({
    url: '/system/ticket/list',
    method: 'get',
    params: query
  })
}

// 查询票种管理详细
export function getManagement(id) {
  return request({
    url: '/system/ticket/' + id,
    method: 'get'
  })
}

// 新增票种管理
export function addManagement(data) {
  return request({
    url: '/system/ticket',
    method: 'post',
    data: data
  })
}

// 修改票种管理
export function updateManagement(data) {
  return request({
    url: '/system/ticket',
    method: 'put',
    data: data
  })
}

// 删除票种管理
export function delManagement(id) {
  return request({
    url: '/system/ticket/' + id,
    method: 'delete'
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/ticket/changeStatus',
    method: 'put',
    data: data
  })
}

// 查询票种管理列表
export function ticketAllList(query) {
  return request({
    url: '/system/ticket/ticketAllList',
    method: 'get',
    params: query
  })
}
