import request from '@/utils/request'

// 查询票种规则列表
export function listRules(query) {
  return request({
    url: '/ticket/rules/list',
    method: 'get',
    params: query
  })
}

// 查询票种规则详细
export function getRules(id) {
  return request({
    url: '/ticket/rules/' + id,
    method: 'get'
  })
}

// 新增票种规则
export function addRules(data) {
  return request({
    url: '/ticket/rules',
    method: 'post',
    data: data
  })
}

// 修改票种规则
export function updateRules(data) {
  return request({
    url: '/ticket/rules',
    method: 'put',
    data: data
  })
}

// 删除票种规则
export function delRules(id) {
  return request({
    url: '/ticket/rules/' + id,
    method: 'delete'
  })
}
